<?xml version="1.0" encoding="UTF-8" ?>
<testsuite tests="1" failures="0" name="org.apache.synapse.mediators.spring.SpringMediatorTest" time="0.171" errors="0" skipped="0">
  <properties>
    <property name="jna.platform.library.path" value="/usr/lib64:/lib64"/>
    <property name="java.runtime.name" value="OpenJDK Runtime Environment"/>
    <property name="java.vm.version" value="21.0.3+9-LTS"/>
    <property name="sun.boot.library.path" value="/build/software/java/jdk-21.0.3+9/lib"/>
    <property name="java.vm.vendor" value="Eclipse Adoptium"/>
    <property name="java.vendor.url" value="https://adoptium.net/"/>
    <property name="path.separator" value=":"/>
    <property name="java.vm.name" value="OpenJDK 64-Bit Server VM"/>
    <property name="sun.java.launcher" value="SUN_STANDARD"/>
    <property name="java.vm.specification.name" value="Java Virtual Machine Specification"/>
    <property name="user.dir" value="/home/jenkins/workspace/forked-dependencies/wso2-synapse/target/checkout/modules/extensions"/>
    <property name="java.vm.compressedOopsMode" value="32-bit"/>
    <property name="java.runtime.version" value="21.0.3+9-LTS"/>
    <property name="basedir" value="/home/jenkins/workspace/forked-dependencies/wso2-synapse/target/checkout/modules/extensions"/>
    <property name="os.arch" value="amd64"/>
    <property name="java.io.tmpdir" value="/tmp"/>
    <property name="line.separator" value="
"/>
    <property name="java.vm.specification.vendor" value="Oracle Corporation"/>
    <property name="stderr.encoding" value="UTF-8"/>
    <property name="os.name" value="Linux"/>
    <property name="sun.jnu.encoding" value="UTF-8"/>
    <property name="stdout.encoding" value="UTF-8"/>
    <property name="java.library.path" value="/usr/java/packages/lib:/usr/lib64:/lib64:/lib:/usr/lib"/>
    <property name="jdk.debug" value="release"/>
    <property name="java.class.version" value="65.0"/>
    <property name="java.specification.name" value="Java Platform API Specification"/>
    <property name="sun.management.compiler" value="HotSpot 64-Bit Tiered Compilers"/>
    <property name="polyglot.js.nashorn-compat" value="true"/>
    <property name="os.version" value="4.14.158-129.185.amzn2.x86_64"/>
    <property name="user.home" value="/root"/>
    <property name="user.timezone" value="GMT"/>
    <property name="file.encoding" value="UTF-8"/>
    <property name="java.specification.version" value="21"/>
    <property name="user.name" value="root"/>
    <property name="java.class.path" value="/home/jenkins/workspace/forked-dependencies/wso2-synapse/.repository/org/apache/maven/surefire/surefire-booter/2.0/surefire-booter-2.0.jar:/home/jenkins/workspace/forked-dependencies/wso2-synapse/.repository/org/apache/maven/surefire/surefire-api/2.0/surefire-api-2.0.jar:/home/jenkins/workspace/forked-dependencies/wso2-synapse/.repository/org/codehaus/plexus/plexus-utils/1.1/plexus-utils-1.1.jar"/>
    <property name="properties.file.path" value="/home/jenkins/workspace/forked-dependencies/wso2-synapse/target/checkout/modules/extensions/src/test/resources/file.properties"/>
    <property name="jacoco-agent.destfile" value="target/coverage-reports/jacoco-unit-ext.exec"/>
    <property name="java.vm.specification.version" value="21"/>
    <property name="sun.arch.data.model" value="64"/>
    <property name="sun.java.command" value="org.apache.maven.surefire.booter.SurefireBooter /tmp/surefire16300360009978407732tmp /tmp/surefire6941593202691791484tmp"/>
    <property name="java.home" value="/build/software/java/jdk-21.0.3+9"/>
    <property name="user.language" value="en"/>
    <property name="java.specification.vendor" value="Oracle Corporation"/>
    <property name="java.vm.info" value="mixed mode, sharing"/>
    <property name="java.version" value="21.0.3"/>
    <property name="native.encoding" value="UTF-8"/>
    <property name="java.vendor" value="Eclipse Adoptium"/>
    <property name="localRepository" value="/home/jenkins/workspace/forked-dependencies/wso2-synapse/.repository"/>
    <property name="file.separator" value="/"/>
    <property name="java.version.date" value="2024-04-16"/>
    <property name="java.vendor.url.bug" value="https://github.com/adoptium/adoptium-support/issues"/>
    <property name="sun.io.unicode.encoding" value="UnicodeLittle"/>
    <property name="sun.cpu.endian" value="little"/>
    <property name="java.vendor.version" value="Temurin-21.0.3+9"/>
    <property name="polyglot.engine.WarnInterpreterOnly" value="false"/>
  </properties>
  <testcase name="testInlineMediatorOnGraalVMEngine" time="1.152"/>
  <testcase name="testExternalScriptWithCommentsOnGraalVMEngine" time="0.212"/>
  <testcase name="testThreadSafety" time="0.072"/>
  <testcase name="testThreadSafety" time="0.043"/>
  <testcase name="testThreadSafety" time="0.04"/>
  <testcase name="testThreadSafety" time="0.042"/>
  <testcase name="testThreadSafety" time="0.046"/>
  <testcase name="testThreadSafety" time="0.039"/>
  <testcase name="testThreadSafety" time="0.047"/>
  <testcase name="testThreadSafety" time="0.035"/>
  <testcase name="testThreadSafety" time="0.029"/>
  <testcase name="testThreadSafety" time="0.029"/>
  <testcase name="testThreadSafety" time="0.029"/>
  <testcase name="testThreadSafety" time="0.029"/>
  <testcase name="testThreadSafety" time="0.029"/>
  <testcase name="testThreadSafety" time="0.027"/>
  <testcase name="testThreadSafety" time="0.029"/>
  <testcase name="testThreadSafety" time="0.025"/>
  <testcase name="testThreadSafety" time="0.026"/>
  <testcase name="testThreadSafety" time="0.026"/>
  <testcase name="testThreadSafety" time="0.023"/>
  <testcase name="testThreadSafety" time="0.041"/>
  <testcase name="testThreadSafety" time="0.029"/>
  <testcase name="testThreadSafety" time="0.024"/>
  <testcase name="testThreadSafety" time="0.032"/>
  <testcase name="testThreadSafety" time="0.026"/>
  <testcase name="testThreadSafety" time="0.022"/>
  <testcase name="testThreadSafety" time="0.026"/>
  <testcase name="testThreadSafety" time="0.022"/>
  <testcase name="testThreadSafety" time="0.026"/>
  <testcase name="testThreadSafety" time="0.018"/>
  <testcase name="testThreadSafety" time="0.023"/>
  <testcase name="testThreadSafety" time="0.023"/>
  <testcase name="testThreadSafety" time="0.019"/>
  <testcase name="testThreadSafety" time="0.021"/>
  <testcase name="testThreadSafety" time="0.021"/>
  <testcase name="testThreadSafety" time="0.016"/>
  <testcase name="testThreadSafety" time="0.017"/>
  <testcase name="testThreadSafety" time="0.019"/>
  <testcase name="testThreadSafety" time="0.016"/>
  <testcase name="testThreadSafety" time="0.017"/>
  <testcase name="testThreadSafety" time="0.027"/>
  <testcase name="testThreadSafety" time="0.023"/>
  <testcase name="testThreadSafety" time="0.02"/>
  <testcase name="testThreadSafety" time="0.019"/>
  <testcase name="testThreadSafety" time="0.018"/>
  <testcase name="testThreadSafety" time="0.017"/>
  <testcase name="testThreadSafety" time="0.018"/>
  <testcase name="testThreadSafety" time="0.022"/>
  <testcase name="testThreadSafety" time="0.017"/>
  <testcase name="testThreadSafety" time="0.018"/>
  <testcase name="testThreadSafety" time="0.019"/>
  <testcase name="testThreadSafety" time="0.018"/>
  <testcase name="testThreadSafety" time="0.015"/>
  <testcase name="testThreadSafety" time="0.016"/>
  <testcase name="testThreadSafety" time="0.016"/>
  <testcase name="testThreadSafety" time="0.015"/>
  <testcase name="testThreadSafety" time="0.015"/>
  <testcase name="testThreadSafety" time="0.015"/>
  <testcase name="testThreadSafety" time="0.02"/>
  <testcase name="testThreadSafety" time="0.016"/>
  <testcase name="testThreadSafety" time="0.016"/>
  <testcase name="testThreadSafety" time="0.019"/>
  <testcase name="testThreadSafety" time="0.035"/>
  <testcase name="testThreadSafety" time="0.021"/>
  <testcase name="testThreadSafety" time="0.016"/>
  <testcase name="testThreadSafety" time="0.015"/>
  <testcase name="testThreadSafety" time="0.015"/>
  <testcase name="testThreadSafety" time="0.014"/>
  <testcase name="testThreadSafety" time="0.014"/>
  <testcase name="testThreadSafety" time="0.014"/>
  <testcase name="testThreadSafety" time="0.014"/>
  <testcase name="testThreadSafety" time="0.014"/>
  <testcase name="testThreadSafety" time="0.014"/>
  <testcase name="testThreadSafety" time="0.014"/>
  <testcase name="testThreadSafety" time="0.014"/>
  <testcase name="testThreadSafety" time="0.014"/>
  <testcase name="testThreadSafety" time="0.019"/>
  <testcase name="testThreadSafety" time="0.015"/>
  <testcase name="testThreadSafety" time="0.015"/>
  <testcase name="testThreadSafety" time="0.018"/>
  <testcase name="testThreadSafety" time="0.017"/>
  <testcase name="testThreadSafety" time="0.016"/>
  <testcase name="testThreadSafety" time="0.018"/>
  <testcase name="testThreadSafety" time="0.016"/>
  <testcase name="testThreadSafety" time="0.023"/>
  <testcase name="testThreadSafety" time="0.016"/>
  <testcase name="testThreadSafety" time="0.014"/>
  <testcase name="testThreadSafety" time="0.016"/>
  <testcase name="testThreadSafety" time="0.014"/>
  <testcase name="testThreadSafety" time="0.014"/>
  <testcase name="testThreadSafety" time="0.013"/>
  <testcase name="testThreadSafety" time="0.015"/>
  <testcase name="testThreadSafety" time="0.015"/>
  <testcase name="testThreadSafety" time="0.014"/>
  <testcase name="testThreadSafety" time="0.026"/>
  <testcase name="testThreadSafety" time="0.016"/>
  <testcase name="testThreadSafety" time="0.013"/>
  <testcase name="testThreadSafety" time="0.013"/>
  <testcase name="testThreadSafety" time="0.017"/>
  <testcase name="testThreadSafety" time="0.015"/>
  <testcase name="testThreadSafety" time="0.013"/>
  <testcase name="testXQueryMediatorSerializationSenarioOne" time="0.141"/>
  <testcase name="testQueryReturnBoolean" time="0.075"/>
  <testcase name="testQueryWithPayloadThree" time="0.046"/>
  <testcase name="testQueryWithPayload" time="0.008"/>
  <testcase name="testQueryWithAll" time="0.017"/>
  <testcase name="testQueryWithPayloadFour" time="0.023"/>
  <testcase name="testQueryWithPayloadTwo" time="0.003"/>
  <testcase name="testQueryReturnInt" time="0.008"/>
  <testcase name="testTagPidContent" time="0.036"/>
  <testcase name="testTagContent" time="0.004"/>
  <testcase name="testContent" time="0.004"/>
  <testcase name="testXMLMediator2" time="0.343"/>
  <testcase name="testMediateWithInLineXML" time="3.05"/>
  <testcase name="testMediate" time="3.006"/>
  <testcase name="testConcurrencyThrottlingMediationWithInLineXML" time="0.51"/>
  <testcase name="testMediateWithXForwardedHeader" time="6.003"/>
  <testcase name="testInlineScriptMediatorSerializationScenarioOne" time="0.102"/>
  <testcase name="testInlineScriptMediatorSerializationScenarioTwo" time="0.627"/>
  <testcase name="testV2ScriptMediator" time="0.081"/>
  <testcase name="testScriptMediatorSerializationScenarioOne" time="0.015"/>
  <testcase name="testScriptMediatorSerializationScenarioTwo" time="0.015"/>
  <testcase name="testJavaClassAccessControlInGraalJSAllowed" time="0.025"/>
  <testcase name="testJavaClassAccessControlForNashornJs" time="0.127"/>
  <testcase name="testJavaClassAccessControlInGraalJSBlocked" time="0.022"/>
  <testcase name="testInlineMediator2" time="0.148"/>
  <testcase name="testInlineMediatorWithImports" time="0.032"/>
  <testcase name="testJavaClassAccessControl" time="0.038"/>
  <testcase name="testInlineMediator" time="0.038"/>
  <testcase name="testJavaMethodAccessControl" time="0.031"/>
  <testcase name="testThrottleMediatorSerializationSenarioOne" time="0.005"/>
  <testcase name="testGetBytes" time="0.003"/>
  <testcase name="testWriteToWithMessage" time="0.014"/>
  <testcase name="testWriteToWithSoapFault" time="0.002"/>
  <testcase name="testGetContentType" time="0.001"/>
  <testcase name="testProcessDocumentWithoutSynEnv" time="0"/>
  <testcase name="testProcessDocumentWithSynEnv" time="0.002"/>
  <testcase name="testProcessDocumentFaultWithSynEnv" time="0"/>
  <testcase name="testProcessDocumentFaultWithoutSynEnv" time="0.001"/>
  <testcase name="testIncompleteHessianMessage" time="0"/>
  <testcase name="testSpringBean" time="0.171"/>
</testsuite>